//  $Id: olympus.hh,v 1.5 2010-05-04 14:14:50 madams Exp $
//  Author:             Mark F. Adams
// Copyright (c) 2003 by Mark F. Adams 
//  Filename:           olympus.hh
//
#ifndef  __OLYMPUS_H__
#define  __OLYMPUS_H__


#include "pfeap.hh"
#include "pfluid.hh"

////////////////////////////////////////////////////////////////////////
//! Driver for multi-component FE application
////////////////////////////////////////////////////////////////////////
class Olympus
{
public:
  Olympus(const PromComm &scomm, PromOptions &opts, PromPerfMonitor &perf,
	  int argc = 0, char **args = NULL );
  ~Olympus();
  // methods
  int Go( int numParams, char** params );
  // data
  FEComponentIterface   *pFE_;
  FluidComponentIterface*pfluid_;
  // standard data
  const PromComm   &Comm_; 
  PromOptions      &options_;
  PromPerfMonitor  &perf_mon_;
};

#endif // __OLYMPUS_H__
